package resumable.js.upload;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import java.io.File;
import java.util.HashSet;
import resumable.js.upload.HttpUtils;

public class ResumableInfo {
  public int resumableChunkSize;
  
  public long resumableTotalSize;
  
  public String resumableIdentifier;
  
  public String resumableFilename;
  
  public String resumableRelativePath;
  
  public HashSet<ResumableChunkNumber> uploadedChunks = new HashSet<>();
  
  public String resumableFilePath;
  
  public boolean vaild() {
    if (this.resumableChunkSize < 0 || this.resumableTotalSize < 0L || HttpUtils.isEmpty(this.resumableIdentifier) || HttpUtils.isEmpty(this.resumableFilename) || HttpUtils.isEmpty(this.resumableRelativePath))
      return false; 
    return true;
  }
  
  public boolean checkIfUploadFinished() {
    int count = (int)Math.ceil(this.resumableTotalSize / this.resumableChunkSize);
    for (int i = 1; i < count; i++) {
      if (!this.uploadedChunks.contains(new ResumableChunkNumber(i)))
        return false; 
    } 
    File file = new File(this.resumableFilePath);
    String new_path = file.getAbsolutePath().substring(0, file.getAbsolutePath().length() - ".temp".length());
    file.renameTo(new File(new_path));
    return true;
  }
}
